org.eclipse.eef.properties.ui.legacy.internal.extension.impl

## Class LegacyTabDescriptorProvider

- java.lang.Object
- - org.eclipse.eef.properties.ui.legacy.internal.extension.impl.LegacyTabDescriptorProvider

All Implemented Interfaces:
  IEEFTabDescriptorProvider

    public class LegacyTabDescriptorProvider
    extends java.lang.Object
    implements IEEFTabDescriptorProvider

Provides the tab descriptors defined thanks to the legacy org.eclipse.ui.views.properties.tabbed.propertyTabs extension point.

### Constructor Summary

Constructors
Constructor and Description
`LegacyTabDescriptorProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.Collection<IEEFTabDescriptor>` `get(org.eclipse.ui.IWorkbenchPart part, org.eclipse.jface.viewers.ISelection selection, IEEFTabbedPropertySheetPageContributor contributor)` Returns an `IEEFTabDescriptor`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LegacyTabDescriptorProvider

    public LegacyTabDescriptorProvider()

### Method Detail

#### get

    public java.util.Collection<IEEFTabDescriptor> get(org.eclipse.ui.IWorkbenchPart part,
                                                       org.eclipse.jface.viewers.ISelection selection,
                                                       IEEFTabbedPropertySheetPageContributor contributor)

Returns an `IEEFTabDescriptor`.

Specified by:
  `get` in interface `IEEFTabDescriptorProvider`
Parameters:
  `part` - The current part
  `selection` - The current selection
  `contributor` - The contributor
Returns:
  An `IEEFTabDescriptor`
See Also:
  `IEEFTabDescriptorProvider.get(IWorkbenchPart part, ISelection selection, IEEFTabbedPropertySheetPageContributor contributor)`